/*
 *  6581.h - SID-Emulation
 *
 *  Copyright (C) 1994-1996 by Christian Bauer
 */

#ifndef M6581_H
#define M6581_H

#include <exec/types.h>

// SID-Register-Dump
typedef struct {
  UBYTE	freq_lo_1;
  UBYTE	freq_hi_1;
  UBYTE pw_lo_1;
  UBYTE pw_hi_1;
  UBYTE	ctrl_1;
  UBYTE	AD_1;
  UBYTE	SR_1;

  UBYTE	freq_lo_2;
  UBYTE	freq_hi_2;
  UBYTE pw_lo_2;
  UBYTE pw_hi_2;
  UBYTE	ctrl_2;
  UBYTE	AD_2;
  UBYTE	SR_2;

  UBYTE	freq_lo_3;
  UBYTE	freq_hi_3;
  UBYTE pw_lo_3;
  UBYTE pw_hi_3;
  UBYTE	ctrl_3;
  UBYTE	AD_3;
  UBYTE	SR_3;

  UBYTE	fc_lo;
  UBYTE	fc_hi;
  UBYTE	res_filt;
  UBYTE	mode_vol;

  UBYTE	pot_x;
  UBYTE	pot_y;
  UBYTE	osc_3;
  UBYTE	env_3;
} SIDDump;


// Exportierte Funktionen
extern void GetSIDDump(SIDDump *dump);

#endif
